#include <bits/stdc++.h>

using namespace std;

void zameni (int *a,int *b)
{
    int c=*a;
    *a=*b;
    *b=c;
}
int f(int a[],int n,int p)
{
    int najv=p;
    for(int i=p+1;i<n;i++)
    {
        if(a[i]>a[najv])
            najv=i;
    }
    return najv;
}
int main()
{
    int n,pozm;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    int poz=0,zamenjeno=0;
    if (n==2)
        zameni(&a[0],&a[1]);
    else{
        for(int i=1;i<n;i++){
            if(a[i]>=a[poz]){
                poz=i;
            }
        }
        if(poz!=0)
            zameni(&a[0],&a[poz]);
        else{
            for(int i=1;i<n && zamenjeno==0;i++)
            {
                pozm=f(a,n,i);
                if(pozm!=i){
                    zamenjeno=1;
                    zameni(&a[i],&a[pozm]);
                }
            }
            if(zamenjeno==0)
                zameni(&a[n-1],&a[n-2]);
        }
    }
    for(int i=0;i<n;i++)
        cout<<a[i]<<" ";
    return 0;
}